rte_dpaa2_mempool.h(3)

NAME
rte_dpaa2_mempool.h

SYNOPSIS

#include <rte_compat.h>
#include <rte_mempool.h>

  Functions

uint16_t rte_dpaa2_mbuf_pool_bpid (struct rte_mempool *mp)
struct rte_mbuf * rte_dpaa2_mbuf_from_buf_addr (struct rte_mempool *mp, void *buf_addr)
__rte_internal int rte_dpaa2_bpid_info_init (struct rte_mempool *mp)

Detailed Description

NXP specific mempool related functions.

Definition in file rte_dpaa2_mempool.h.

Function Documentation

  uint16_t rte_dpaa2_mbuf_pool_bpid (struct rte_mempool * mp)
Get BPID corresponding to the packet pool

Parameters
    mp memory pool

Returns
    BPID of the buffer pool

  struct rte_mbuf * rte_dpaa2_mbuf_from_buf_addr (struct rte_mempool * mp, void * buf_addr)
Get MBUF from the corresponding 'buf_addr'

Parameters
    mp memory pool
    buf_addr The 'buf_addr' of the mbuf. This is the start buffer address of the packet buffer (mbuf).

Returns

    •   MBUF pointer for success

    •   NULL in case of error

  __rte_internal int rte_dpaa2_bpid_info_init (struct rte_mempool * mp)
Initialize the rte_dpaa2_bpid_info In generial, it is called in the secondary process and mp has been created in the primary process.

Parameters
    mp memory pool

Returns

    •   0 on success.

    •   (<0) on failure.

Author

Generated automatically by Doxygen for DPDK from the source code.